﻿using Microsoft.Maui.Controls;
using BackgroundSV.Services;

namespace BackgroundSV
{
    public partial class MainPage : ContentPage
    {
        private readonly IBackgroundService _backgroundService;

        public MainPage(IBackgroundService backgroundService)
        {
            InitializeComponent();
            _backgroundService = backgroundService;
        }

        private void StartService_Clicked(object sender, System.EventArgs e)
        {
            _backgroundService.Start();
        }

        private void StopService_Clicked(object sender, System.EventArgs e)
        {
            _backgroundService.Stop();
        }
    }
}