﻿using Android.Content;
using BackgroundSV.Services;

namespace BackgroundSV
{
    public class AndroidBackgroundService : IBackgroundService
    {
        public void Start()
        {
            var context = Platform.CurrentActivity; // Użyj CurrentActivity
            var intent = new Intent(context, typeof(BackgroundService));
            context.StartForegroundService(intent);
        }

        public void Stop()
        {
            var context = Platform.CurrentActivity; // Użyj CurrentActivity
            var intent = new Intent(context, typeof(BackgroundService));
            context.StopService(intent);
        }
    }
}
